SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Encryption/VPN)  >   FireWall-1/VPN-1 Vendors:   Check Point
Check Point VPN-1 UTM Edge Input Validation Hole Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1019554
SecurityTracker URL:  http://securitytracker.com/id/1019554
CVE Reference:   CVE-2008-1208   (Links to External Site)
Updated:  Mar 19 2008
Original Entry Date:  Mar 6 2008
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): VPN-1 UTM Edge; prior to 7.5.48
Description:   A vulnerability was reported in Check Point VPN-1 UTM Edge. A remote user can conduct cross-site scripting attacks.

The login page does not properly filter HTML code from user-supplied input before displaying the input. A remote user can create a specially crafted HTTP POST request that, when submitted by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the VPN-1 device and will run in the security context of that device. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the device, access data recently submitted by the target user via web form to the device, or take actions on the device acting as the target user.

The vendor was notified on February 19, 2008.

Henri Lindberg of Louhi Networks Oy reported this vulnerability.

The original advisory is available at:

http://www.louhi.fi/advisory/checkpoint_080306.txt

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the VPN-1 UTM device, access data recently submitted by the target user via web form to the device, or take actions on the device acting as the target user.
Solution:   The vendor has issued a fixed version (7.5.48).
Vendor URL:  www.checkpoint.com/ (Links to External Site)
Cause:   Input validation error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC